# Module: crypto/aes_kw

Implementation of RFC 3394 AES Key Wrap & Key Unwrap funcions

Source:
  - crypto/aes_kw.js, line 18
See:
  - module:crypto/public_key/elliptic/ecdh

### Methods

#### (static) unwrap(algo, key, wrappedData) → {Uint8Array}

AES key unwrap

##### Parameters:

Name | Type | Description
--- | --- | ---
`algo` | enums.symmetric.aes128 | enums.symmetric.aes256 | enums.symmetric.aes192 | AES algo
`key` | Uint8Array | wrapping key
`wrappedData` | Uint8Array |

Source:
  - crypto/aes_kw.js, line 68

##### Returns:

unwrapped data

Type
  Uint8Array

#### (static) wrap(algo, key, dataToWrap) → {Uint8Array}

AES key wrap

##### Parameters:

Name | Type | Description
--- | --- | ---
`algo` | enums.symmetric.aes128 | enums.symmetric.aes256 | enums.symmetric.aes192 | AES algo
`key` | Uint8Array | wrapping key
`dataToWrap` | Uint8Array |

Source:
  - crypto/aes_kw.js, line 36

##### Returns:

wrapped key

Type
  Uint8Array